#!/usr/bin/env bash

docker run -it --rm  --volume "$PWD":/app -w /app node npm install
docker run -it --rm  --volume "$PWD":/app -w /app node npm run build

docker run -it --rm  --volume "$PWD":/app -w /app composer composer install --ignore-platform-req=ext-gd

docker run \
    --volume "$PWD":/app \
    --rm \
    --interactive \
    --tty \
    php:8.3-cli \
    php /app/src/php/bin/doctrine.php orm:schema-tool:update --force